# Punkt
Date: 2013-01-07

## Class Punkt

- java.lang.Object
- - Punkt

    public class Punkt
    extends java.lang.Object

Speichert die Informationen über eine Punkt im Raum. Die Information über die Lage des Punktes werden mit Hilfe eines Ortsvektors gespeichert.

Version:
  1.0 vom 11.4.2011
Author:
  T. Schaller

### Method Summary

Methods
`double` `getX()` liefert die x-Koordinate des Ortsvektors des Punktes
`double` `getY()` liefert die y-Koordinate des Ortsvektors des Punktes
`double` `getZ()` liefert die z-Koordinate des Ortsvektors des Punktes
`void` `verschiebe(Vektor v)` Verschiebt den Punkt um einen Vektor v.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getX

    public double getX()

liefert die x-Koordinate des Ortsvektors des Punktes

Returns:
  x-Koordinate

#### getY

    public double getY()

liefert die y-Koordinate des Ortsvektors des Punktes

Returns:
  y-Koordinate

#### getZ

    public double getZ()

liefert die z-Koordinate des Ortsvektors des Punktes

Returns:
  z-Koordinate

#### verschiebe

    public void verschiebe(Vektor v)

Verschiebt den Punkt um einen Vektor v. Dazu werden die Koordinaten des Ortsvektors zu den Koordinaten des Schiebevektors addiert.

Parameters:
  `v` - Verschiebevektor